Поиск по этому блогу

пятница, 12 августа 2011 г.

Установка пакета libmysqlclient15off на Ubuntu

     При попытке установить данный пакет выходит ошибка
sudo apt-get install libmysqlclient15off
Reading package lists… Done
Building dependency tree
Reading state information… Done
Package libmysqlclient15off is not available, but is referred to by another package.
This may mean that the package is missing, has been obsoleted, or
is only available from another source
E: Package libmysqlclient15off has no installation candidate
    Это значит, что в репозиториях нет данного пакета, но не беда...

Необходимо зайти сюда и скачать нужный пакет

Настройка Compiz Fusion на ubuntu

Не давно решил настроить эффекты компиза. Нашел статью очень подробную если очень интересно пройдите по ссылке. Статья очень большая поэтому чтобы не загромождать блог оставлю только ссылку. Прошу прощения за неудобства.
Ubuntologia

Установка Apache2 с PHP5 и MySQL в Ubuntu 10.10 (LAMP)

Не стал ничего переделывать, нашел хорошую статью запостил к себе. Спасибо автору!

Установка MySQL 5

Сначала установите MySQL 5 следующим образом:
  • aptitude install mysql-server mysql-client
Вам будет предложено ввести пароль для пользователя MySQL root - этот пароль действителен для пользователей root@localhost, а также root@server1.example.com, поэтому мы не должны указать пароль администратора MySQL позже вручную:Этот e-mail адрес защищен от спам-ботов, для его просмотра у Вас должен быть включен Javascript
Новый пароль для MySQL "root" пользователя: - Ваш пароль для SQL
Повторите пароль для MySQL "root" пользователя: - Ваш пароль для SQL

Установка Apache2

Apache2 доступен как пакет Ubuntu, поэтому мы можем установить его так:
  • aptitude install apache2
Теперь перейдите в Вашем браузере http://192.168.0.100, Вы увидете Apache2 страницу по умолчанию ( It works!):
Ubuntu LAMP
по умолчанию в Apache root /var/www на Ubuntu, а файл конфигурации /etc/apache2/apache2.conf. Дополнительные конфигурации хранятся в подкаталогах /etc/apache2, такие как /etc/apache2/mods-enabled (для Apache модулей), /etc/apache2/sites-enabled (для виртуальных хостов), и /etc/apache2/conf.d

Установка PHP5

Мы можем установить PHP5 и модуль Apache PHP5 следующим образом:
  • aptitude install php5 libapache2-mod-php5
Мы должны перезагрузить Apache после этого:
  • /etc/init.d/apache2 restart

Тестирование PHP5. Получение информации о Вашей установленной PHP5

Документ root веб-сайта по умолчанию /var/www. Теперь мы создадим небольшой файл PHP (info.php) в этот каталог и откроем его в браузере. Появится много полезной информации о нашей установленной PHP, таких как версия PHP.
  • nano /var/www/info.php
<?php
phpinfo();
?>
Теперь мы вызовим этот файл в браузере (например, http://192.168.0.100/info.php):
Ubuntu 10.10 LAMP
Как видите, PHP5 работает, и он работает через Apache 2.0 обработчик, как показано в строке Server API. Если Вы прокрутите дальше, Вы увидите все модули, которые уже включены в PHP5. MySQL не перечисленные в нем, что означает что у нас пока нет поддержки MySQL в PHP5.

Запуск поддержкой MySQL в PHP5

Чтобы получить поддержку MySQL в PHP, мы установим пакет php5-MySQL. Для поиска доступных PHP5 модулей которые нам могут понадобятся для работы Web приложений найдем следующим образом:
  • aptitude search php5
Выберите из них нужное Вам, и установить их так:
  • aptitude install php5-mysql php5-curl php5-gd php5-idn php-pear php5-imagick php5-imap php5-mcrypt php5-memcache php5-mhash php5-ming php5-ps php5-pspell php5-recode php5-snmp php5-sqlite php5-tidy php5-xmlrpc php5-xsl php5-json
Теперь перезапустите Apache2:
  • /etc/init.d/apache2 restart
Теперь обновите страницу http://192.168.0.100/info.php в вашем браузере и прокрутите снова вниз до раздела модулей. В этот раз Вы должны найти много новых модулях, в том числе модуль MySQL:
Установка LAMP Ubuntu

PhpMyAdmin

PhpMyAdmin это веб-интерфейс, через который Вы можете управлять вашими MySQL базами данных. Для его установки выполним:
  • aptitude install phpmyadmin
Вы увидите следующие вопросы:
Web server to reconfigure automatically: - apache2
Configure database for phpmyadmin with dbconfig-common? - No
После этого Вы можете получить доступ к PhpMyAdmin по адресу: http://192.168.0.100/phpmyadmin/:
Ubuntu LAMP

вторник, 9 августа 2011 г.

Установка Virtualbox под Debian Lenny

       Вступленее ранее сколько бы я не ставил Virtualbox проблем никогда не возникало. Но в этот раз пришлось немного задержаться на пункте установки скачал как и всегда с офф сайта последнюю версию и при запуске выскочила такая вот ошибка
nosensus:/home/nosensus# dpkg --install virtualbox-4.1_4.1.0-73009~Debian~lenny_i386.deb
(Reading database ... 80058 files and directories currently installed.)
Unpacking virtualbox-4.1 (from virtualbox-4.1_4.1.0-73009~Debian~lenny_i386.deb) ...
Setting up virtualbox-4.1 (4.1.0-73009~Debian~lenny) ...
Adding group `vboxusers' (GID 115) ...
Done.
Stopping VirtualBox kernel modules:.
Uninstalling old VirtualBox DKMS kernel modules:.
Trying to register the VirtualBox kernel modules using DKMS:
Failed, trying without DKMS failed!
Recompiling VirtualBox kernel modules:
Look at /var/log/vbox-install.log to find out what went wrong failed!
 Долго не мог понять почему такая ошибка пытался установить dkms пакет который не смог найти установщик, но потом нарвался на команду хедерса
которая в свою очередь и помогла мне
#aptitude install linux-headers-$(uname -r)
 После чего заново запустил установку
#dpkg --install virtualbox-4.1_4.1.0-73009~Debian~lenny_i386.deb
правда ошибка на dkms сохранилась но уже после автокомпиляции виртуалка села. 
Если есть какие либо заметки, замечания пишите буду рад этому!

суббота, 6 августа 2011 г.

Установка Adobe Flash player на Debian

Сначала скачал сам фаил с офф сайта adobe.com 
По после скачивания и распаковки ситуации не изменило, пошел дальше в лес по тропинке:
http://packages.debian.org/lenny/flashplugin-nonfree-extrasound 
скачал установил 
#dpkg -i flashplugin-nonfree_2.8.3_i386.deb
тоже самое, после запустил команду:
#update-flashplugin-nonfree --install
вроде начал он мне что то скачивать и устанавливать после чего все заработало на Iceweasel 
теперь не могу понять что же именно помогло, будут замечания выслушаю...
Статус пока: НЕРЕШЕН!